## START: Set by rpmautospec
## (rpmautospec version 0.8.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 27
# * files required by tests are not shipped with published crates
%bcond check 0
%global debug_package %{nil}

%global crate system-deps

Name:           rust-system-deps
Version:        7.0.5
Release:        %autorelease
Summary:        Declarative system dependencies in Cargo.toml

License:        MIT OR Apache-2.0
URL:            https://crates.io/crates/system-deps
Source:         %{crates_source}

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
Discover and configure system dependencies from declarative dependencies
in Cargo.toml.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE-APACHE
%license %{crate_instdir}/LICENSE-MIT
%doc %{crate_instdir}/CHANGELOG.md
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
## START: Generated by rpmautospec
* Tue Jul 08 2025 Fabio Valentini <decathorpe@gmail.com> - 7.0.5-1
- Update to version 7.0.5; Fixes RHBZ#2367467

* Sun Jan 19 2025 Fedora Release Engineering <releng@fedoraproject.org> - 7.0.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Mon Dec 02 2024 Fabio Valentini <decathorpe@gmail.com> - 7.0.3-1
- Update to version 7.0.3; Fixes RHBZ#2305322

* Tue Aug 13 2024 Fabio Valentini <decathorpe@gmail.com> - 7.0.1-1
- Update to version 7.0.1; Fixes RHBZ#2269559

* Sat Jul 20 2024 Fedora Release Engineering <releng@fedoraproject.org> - 6.2.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Sat Jan 27 2024 Fedora Release Engineering <releng@fedoraproject.org> - 6.2.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Nov 10 2023 Fabio Valentini <decathorpe@gmail.com> - 6.2.0-1
- Update to version 6.2.0; Fixes RHBZ#2247220

* Tue Oct 10 2023 Fabio Valentini <decathorpe@gmail.com> - 6.1.2-1
- Update to version 6.1.2; Fixes RHBZ#2241939

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 6.1.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Fri Jun 23 2023 Fabio Valentini <decathorpe@gmail.com> - 6.1.1-1
- Update to version 6.1.1; Fixes RHBZ#2216756

* Wed May 17 2023 Fabio Valentini <decathorpe@gmail.com> - 6.1.0-1
- Update to version 6.1.0; Fixes RHBZ#2196179

* Thu May 04 2023 Fabio Valentini <decathorpe@gmail.com> - 6.0.5-1
- Update to version 6.0.5; Fixes RHBZ#2188574

* Mon Apr 17 2023 Fabio Valentini <decathorpe@gmail.com> - 6.0.4-1
- Update to version 6.0.4; Fixes RHBZ#2181581

* Sat Jan 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 6.0.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Sat Dec 10 2022 Fabio Valentini <decathorpe@gmail.com> - 6.0.3-1
- Update to version 6.0.3; Fixes RHBZ#2136090

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 6.0.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Fri Feb 25 2022 Fabio Valentini <decathorpe@gmail.com> - 6.0.2-1
- Update to version 6.0.2; Fixes RHBZ#1999599

* Sat Feb 12 2022 Fabio Valentini <decathorpe@gmail.com> - 6.0.1-1
- Update to version 6.0.1; Fixes RHBZ#1999599

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 3.2.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Mon Nov 15 2021 Fabio Valentini <decathorpe@gmail.com> - 3.2.0-2
- Bump cfg-expr from 0.8 to 0.9

* Tue Aug 03 2021 Fabio Valentini <decathorpe@gmail.com> - 3.2.0-1
- Update to version 3.2.0; Fixes RHBZ#1935094

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.2-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Thu Jun 17 2021 Robert-André Mauchin <zebob.m@gmail.com> - 1.3.2-6
- Bump strum and strum_macros to 0.21

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Tue Dec 15 2020 Fabio Valentini <decathorpe@gmail.com> - 1.3.2-4
- Bump version-compare to 0.0.11.

* Sat Aug 01 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.2-3
- Second attempt - Rebuilt for
  https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Fri Jul 10 2020 Josh Stone <jistone@redhat.com> - 1.3.2-1
- Update to 1.3.2

* Thu Jul 09 11:29:13 PDT 2020 Josh Stone <cuviper@gmail.com> - 1.3.1-1
- Initial package

## END: Generated by rpmautospec
